#
# spec file for package python-louis (Version 1.7.0)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define         build_core_not_python 0

Name:           python-louis
%define _name   liblouis
Version:        1.7.0
Release:        2.2.1
License:        LGPLv3+
Summary:        Braille Translator and Back-Translator - Python Bindings
Url:            http://code.google.com/p/liblouis/
Group:          Development/Languages/Python
Source0:        %{_name}-%{version}.tar.bz2
%if %build_core_not_python
PreReq:         %install_info_prereq
%else
BuildRequires:  liblouis-devel
BuildRequires:  python
Requires:       liblouis0 = %{version}
%py_requires
%if %suse_version <= 1110
%define python_sitelib %{py_sitedir}
%endif
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Liblouis is an open-source braille translator and back-translator.
It features support for computer and literary braille, supports
contracted and uncontracted translation for many, many languages
and has support for hyphenation. New languages can easily be added
through tables that support a rule- or dictionary based approach.

Liblouis also supports math braille (Nemeth and Marburg). The
formatting of braille is provided by the companion project
liblouisxml.

Liblouis is based on the translation routines in the BRLTTY
screenreader for Linux. It has, however, gone far beyond these
routines. It is named in honor of Louis Braille.

Included are also tools for testing and debugging tables.

%if %build_core_not_python

%package -n liblouis0
Summary:        Braille Translator and Back-Translator - Python Bindings
License:        LGPLv3+
Group:          Development/Languages/Python

%description -n liblouis0
Liblouis is an open-source braille translator and back-translator.
It features support for computer and literary braille, supports
contracted and uncontracted translation for many, many languages
and has support for hyphenation. New languages can easily be added
through tables that support a rule- or dictionary based approach.

Liblouis also supports math braille (Nemeth and Marburg). The
formatting of braille is provided by the companion project
liblouisxml.

Liblouis is based on the translation routines in the BRLTTY
screenreader for Linux. It has, however, gone far beyond these
routines. It is named in honor of Louis Braille.

%package devel
Summary:        Braille Translator and Back-Translator - Development Files - Python Bindings
License:        LGPL v3 or later
Group:          Development/Languages/Python
Requires:       liblouis0 = %{version}

%description devel
Liblouis is an open-source braille translator and back-translator.
It features support for computer and literary braille, supports
contracted and uncontracted translation for many, many languages
and has support for hyphenation. New languages can easily be added
through tables that support a rule- or dictionary based approach.

Liblouis also supports math braille (Nemeth and Marburg). The
formatting of braille is provided by the companion project
liblouisxml.

Liblouis is based on the translation routines in the BRLTTY
screenreader for Linux. It has, however, gone far beyond these
routines. It is named in honor of Louis Braille.

%endif

%prep
%setup -q -n %{_name}-%{version}

%build
%configure --disable-static
%__make %{?jobs:-j%jobs}
%if !%build_core_not_python
pushd python
%{__python} setup.py build
popd
%endif

%install
%if %build_core_not_python
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print
# We'll package them as rpm docs
%{__rm} -f %{buildroot}%{_datadir}/doc/liblouis/liblouis.{html,txt}
%else
pushd python
%{__python} setup.py install --skip-build --root="%{buildroot}" --prefix="%{_prefix}"
popd
%endif

%clean
%{__rm} -rf %{buildroot}
%if %build_core_not_python

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%post -n liblouis0 -p /sbin/ldconfig

%postun -n liblouis0 -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
%doc doc/liblouis.html doc/liblouis.txt
%{_bindir}/lou_*
%{_infodir}/%{name}.info.gz

%files -n liblouis0
%defattr(-, root, root)
%{_datadir}/liblouis
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/liblouis
%else

%files
%defattr(-, root, root)
%{python_sitelib}/louis*.egg-info
%{python_sitelib}/louis
%endif

%changelog
* Fri Aug 28 2009 vuntz@novell.com
- Fix python-louis build: with the new upstream release, we now
  need to build the library before building the python bindings.
* Sat Aug 22 2009 captain.magnus@opensuse.org
- Update to version 1.7.0:
  + The main new feature of this release is the support for UK and
    Marburg math. Other changes include a new tool to check
    hyphenation and the usual improvement and addition of tables.
    Also The test suite has been enhanced and finally passes
  + Fix for library name and Python bindings
  + Documentation fixes
  + Many small fixes
- Remove liblouis-build-fix.patch. Fixed upstream
- Remove liblouis-dlopen-versioned.patch. Code changed
* Fri Aug 21 2009 vuntz@novell.com
- Add liblouis-dlopen-versioned.patch to have the python bindings
  open the versioned .so library, so that they don't require the
  devel package.
- Make python-louis require liblouis0.
* Thu Aug 13 2009 vuntz@novell.com
- Use python_sitelib instead of py_sitedir.
* Thu Jul 30 2009 vuntz@novell.com
- Initial package.
